Package com.openmeet.webapp.dataLayer.moderator

# Class Moderator

java.lang.Object
com.openmeet.webapp.dataLayer.moderator.Moderator

All Implemented Interfaces:
  `com.openmeet.shared.data.storage.IEntity`

public class Moderator extends Object implements com.openmeet.shared.data.storage.IEntity
This class represents the Moderator Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MODERATOR`
  `static final String`
  `MODERATOR_EMAIL`
  `static final String`
  `MODERATOR_ID`
  `static final String`
  `MODERATOR_MODERATOR_NAME`
  `static final String`
  `MODERATOR_MODERATOR_SURNAME`
  `static final String`
  `MODERATOR_PROFILE_PIC`
  `static final String`
  `MODERATOR_PWD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Moderator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEmail()`
  Returns the Moderator email.
  `int`
  `getId()`
  Returns the Moderator id.
  `String`
  `getModeratorName()`
  Returns the Moderator name.
  `String`
  `getModeratorSurname()`
  Returns the Moderator surname.
  `String`
  `getProfilePic()`
  Returns the Moderator profile picture path.
  `String`
  `getPwd()`
  Returns the Moderator password encrypted with SHA1.
  `void`
  `setEmail(String email)`
  Sets the Moderator email.
  `void`
  `setId(int id)`
  Sets the Moderator id.
  `void`
  `setModeratorName(String moderatorName)`
  Sets the Moderator name.
  `void`
  `setModeratorSurname(String moderatorSurname)`
  Sets the Moderator surname.
  `void`
  `setProfilePic(String profilePic)`
  Sets the Moderator profile picture path.
  `void`
  `setPwd(String pwd)`
  Sets the Moderator password encrypted with SHA1.
  `HashMap<String,?>`
  `toHashMap()`
  Returns the Moderator as an hashMap.
  `HashMap<String,?>`
  `toHashMap(String... fields)`
  Returns the Moderator as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODERATOR

    public static final String MODERATOR
    See Also:
      - Constant Field Values

  - ### MODERATOR_ID

    public static final String MODERATOR_ID
    See Also:
      - Constant Field Values

  - ### MODERATOR_EMAIL

    public static final String MODERATOR_EMAIL
    See Also:
      - Constant Field Values

  - ### MODERATOR_MODERATOR_NAME

    public static final String MODERATOR_MODERATOR_NAME
    See Also:
      - Constant Field Values

  - ### MODERATOR_MODERATOR_SURNAME

    public static final String MODERATOR_MODERATOR_SURNAME
    See Also:
      - Constant Field Values

  - ### MODERATOR_PWD

    public static final String MODERATOR_PWD
    See Also:
      - Constant Field Values

  - ### MODERATOR_PROFILE_PIC

    public static final String MODERATOR_PROFILE_PIC
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Moderator

    public Moderator()

- ## Method Details

  - ### toHashMap

    public HashMap<String,?> toHashMap()
    Returns the Moderator as an hashMap.
    Specified by:
      `toHashMap` in interface `com.openmeet.shared.data.storage.IEntity`
    Returns:
      the Moderator as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,?> toHashMap(String... fields)
    Returns the Moderator as an hashMap.
    Specified by:
      `toHashMap` in interface `com.openmeet.shared.data.storage.IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Moderator as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the Moderator id.
    Returns:
      the Moderator id.

  - ### setId

    public void setId(int id)
    Sets the Moderator id.
    Parameters:
      `id` - the Moderator id.

  - ### getEmail

    public String getEmail()
    Returns the Moderator email.
    Returns:
      the Moderator email.

  - ### setEmail

    public void setEmail(String email)
    Sets the Moderator email.
    Parameters:
      `email` - the Moderator email.

  - ### getModeratorName

    public String getModeratorName()
    Returns the Moderator name.
    Returns:
      the Moderator name.

  - ### setModeratorName

    public void setModeratorName(String moderatorName)
    Sets the Moderator name.
    Parameters:
      `moderatorName` - the Moderator name.

  - ### getModeratorSurname

    public String getModeratorSurname()
    Returns the Moderator surname.
    Returns:
      the Moderator surname.

  - ### setModeratorSurname

    public void setModeratorSurname(String moderatorSurname)
    Sets the Moderator surname.
    Parameters:
      `moderatorSurname` - the Moderator surname.

  - ### getPwd

    public String getPwd()
    Returns the Moderator password encrypted with SHA1.
    Returns:
      the Moderator password.

  - ### setPwd

    public void setPwd(String pwd)
    Sets the Moderator password encrypted with SHA1.
    Parameters:
      `pwd` - the Moderator password.

  - ### getProfilePic

    public String getProfilePic()
    Returns the Moderator profile picture path.
    Returns:
      the Moderator profile picture path.

  - ### setProfilePic

    public void setProfilePic(String profilePic)
    Sets the Moderator profile picture path.
    Parameters:
      `profilePic` - the Moderator profile picture path.